<form name="editForm" role="form" novalidate (ngSubmit)="save()" #editForm="ngForm">
<p-panel>
    <p-header>
        Upload Invoice
    </p-header>
    <div class="modal-body">
        <div>
            <div class="pull-right">
                <label class="ui-button ui-widget ui-state-default ui-corner-all ui-button-text-icon-left label-upload orange">
                    <i class="fa fa-file-o" aria-hidden="true"></i><span class="label-uploaded">Browse</span>
                    <input type="file" (change)="onFileChange($event)" accept=".uminv" multiple="false" hidden/>
                </label>
            </div>
            <div style="clear:both"></div>
        </div>
        <p-dataTable 
            [value]="listUploadInvoice"
            emptyMessage = "{{'mpmApp.billingDisbursement.upload.emptyMessage' | translate}}"
        > 
            <p-header>
                <div class="row"></div>
            </p-header>
            <p-column header="No Invoice" [style]="{'text-align': 'center'}">
                <ng-template let-rowData="rowData" pTemplate="body">
                    <div>
                        {{rowData.invoiceNumber}}
                    </div>
                </ng-template>
            </p-column>
            <p-column header="{{'mpmApp.billingDisbursement.upload.dtCreate'|translate}}" [style]="{'text-align': 'center'}">
                <ng-template let-rowData="rowData" pTemplate="body">
                    <div>
                        {{rowData.dateCreate | date: 'dd-MM-yyyy'}}
                    </div>
                </ng-template>
            </p-column>
            <p-column header="{{'mpmApp.billingDisbursement.upload.unitCode'|translate}}" [style]="{'text-align': 'center'}">
                <ng-template let-rowData="rowData" pTemplate="body">
                    <div>
                        {{rowData.idProduct}}
                    </div>
                </ng-template>
            </p-column>
            <p-column header="{{'mpmApp.billingDisbursement.upload.colorCode'|translate}}" [style]="{'text-align': 'center'}">
                <ng-template let-rowData="rowData" pTemplate="body">
                    <div>
                        {{rowData.idColor}}
                    </div>
                </ng-template>
            </p-column>
            <p-column header="{{'mpmApp.billingDisbursement.upload.customerCode'|translate}}" [style]="{'text-align': 'center'}">
                <ng-template let-rowData="rowData" pTemplate="body">
                    <div>
                        {{rowData.customerCode}}
                    </div>
                </ng-template>
            </p-column>
            <p-column header="{{'mpmApp.billingDisbursement.upload.mainDealerCode'|translate}}" [style]="{'text-align': 'center'}">
                <ng-template let-rowData="rowData" pTemplate="body">
                    <div>
                        {{rowData.mainDealerCode}}
                    </div>
                </ng-template>
            </p-column>
            <p-column header="{{'mpmApp.billingDisbursement.upload.qty'|translate}}" [style]="{'text-align': 'center'}">
                <ng-template let-rowData="rowData" pTemplate="body">
                    <div>
                        {{rowData.qty}}
                    </div>
                </ng-template>
            </p-column>
            <p-column header="{{'mpmApp.billingDisbursement.upload.total'|translate}}" [style]="{'text-align': 'center'}">
                <ng-template let-rowData="rowData" pTemplate="body">
                    <div>
                        {{rowData.totalAmount | currency: 'IDR' : true}}
                    </div>
                </ng-template>
            </p-column>
            <p-column header="{{'mpmApp.billingDisbursement.upload.tax'|translate}}" [style]="{'text-align': 'center'}">
                <ng-template let-rowData="rowData" pTemplate="body">
                    <div>
                        {{rowData.ppn | currency: 'IDR' : true}}
                    </div>
                </ng-template>
            </p-column>
            <p-column header="{{'mpmApp.billingDisbursement.upload.unitPrice'|translate}}" [style]="{'text-align': 'center'}">
                <ng-template let-rowData="rowData" pTemplate="body">
                    <div>
                        {{rowData.unitPrice | currency: 'IDR' : true}}
                    </div>
                </ng-template>
            </p-column>
            <p-column header="{{'mpmApp.billingDisbursement.upload.discount'|translate}}" [style]="{'text-align': 'center'}">
                <ng-template let-rowData="rowData" pTemplate="body">
                    <div>
                        {{rowData.unitDiscount | currency: 'IDR' : true}}
                    </div>
                </ng-template>
            </p-column>
            <p-column header="{{'mpmApp.billingDisbursement.upload.purchaseOrder'|translate}}" [style]="{'text-align': 'center'}">
                <ng-template let-rowData="rowData" pTemplate="body">
                    <div>
                        {{rowData.poNumber}}
                    </div>
                </ng-template>
            </p-column>
            <p-column header="{{'mpmApp.billingDisbursement.upload.dueDate'|translate}}" [style]="{'text-align': 'center'}">
                <ng-template let-rowData="rowData" pTemplate="body">
                    <div>
                        {{rowData.dueDate | date: 'dd-MM-yyyy'}}
                    </div>
                </ng-template>
            </p-column>
            <p-column header="Ongkos Angkut">
                <ng-template let-rowData="rowData" pTemplate="body">
                    <div>
                        <input type="text" name="fee + rowIndex" id="fee" pInputText appendTo="body" jhiNumbers>
                    </div>
                </ng-template>
            </p-column>
            <p-column header="Biaya Lain-Lain">
                <ng-template let-rowData="rowData" pTemplate="body">
                    <div>
                        <input type="text" name="otherFee + rowIndex" id="otherFee" pInputText appendTo="body" jhiNumbers>
                    </div>
                </ng-template>
            </p-column>
        </p-dataTable>
    </div>
    <div>
        <div class="pull-right" style="margin-left:10px;">
            <button pButton 
                type="button" 
                icon="fa-floppy-o"
                (click)="save()"
                [disabled]="disableSave()"
                label="{{'entity.action.save' | translate}}"
                class="ui-button-danger pull-right flat-label-button">
            </button>
        </div>
        <div class="pull-right">
            <button pButton 
                type="button" 
                [routerLink]="['/billing-disbursement']"
                label="{{'entity.action.back' | translate}}"
                class="ui-button-danger pull-right flat-label-button">
            </button>
        </div>
        <div style="clear:both;"></div>
    </div>
</p-panel>
</form>